Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Gdk::KeymapKey Class Reference

A GdkKeymapKey C++ wrapper class. More...

`#include <inti/gdk/keys.h>`

List of all members.

## Public Member Functions

Constructors

- KeymapKey ()
    Construct an empty KeymapKey (see Gdk::KeymapKey::set() for details).
- KeymapKey (unsigned int keycode, int group, int level)
    Construct a new KeymapKey (see Gdk::KeymapKey::set() for details).

Accessors

- GdkKeymapKey * gdk_keymap_key () const
    Get a pointer to the GdkKeymapKey structure.
- unsigned int keycode () const
    Returns the hardware key code. The keycode is an identifying number for a physical key.
- int group () const
    Returns the group. The group indicates movement in a horizontal direction.
- int level () const
    Returns the level.

Methods

- void set (unsigned int keycode, int group, int level)
    Sets the keycode, group and level for the key.

## Detailed Description

A GdkKeymapKey C++ wrapper class.

KeymapKey represents a hardware key that can be mapped to a keyval.

## Constructor & Destructor Documentation

Inti::Gdk::KeymapKey::KeymapKey | ( | unsigned int | keycode,
|  | int | group,
|  | int | level
| ) |

  | Construct a new KeymapKey (see Gdk::KeymapKey::set() for details). Parameters:
  keycode | The hardware keycode; this is an identifying number for a physical key.
  group | Indicates movement in a horizontal direction.
  level | Indicates which symbol on the key will be used, in a vertical direction.

## Member Function Documentation

int Inti::Gdk::KeymapKey::level | ( |  | ) | const

| Returns the level. The level indicates which symbol on the key will be used, in a vertical direction.

void Inti::Gdk::KeymapKey::set | ( | unsigned int | keycode,
|  | int | group,
|  | int | level
| ) |

  | Sets the keycode, group and level for the key. Parameters:
  keycode | The hardware keycode; this is an identifying number for a physical key.
  group | Indicates movement in a horizontal direction.
  level | Indicates which symbol on the key will be used, in a vertical direction.
On a standard US keyboard, the key with the number "1" on it also has the exclamation point ("!") character on it. The level indicates whether to use the "1" or the "!" symbol. The letter keys are considered to have a lowercase letter at level 0, and an uppercase letter at level 1, though only the uppercase letter is printed. Usually groups are used for two different languages. In group 0, a key might have two English characters, and in group 1 it might have two Hebrew characters. The Hebrew characters will be printed on the key next to the English characters.

The documentation for this class was generated from the following file:

- keys.h

Main Page - Footer